<?php

$hassidepre = $PAGE->blocks->region_has_content('side-pre', $OUTPUT);
$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
$showsidepre = $hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT);
$showsidepost = $hassidepost && !$PAGE->blocks->region_completely_docked('side-post', $OUTPUT);

$custommenu = $OUTPUT->custom_menu();
$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));

$bodyclasses = array();
if ($showsidepre && !$showsidepost) {
    $bodyclasses[] = 'side-pre-only';
} else if ($showsidepost && !$showsidepre) {
    $bodyclasses[] = 'side-post-only';
} else if (!$showsidepost && !$showsidepre) {
    $bodyclasses[] = 'content-only';
}

if ($hascustommenu) {
    $bodyclasses[] = 'has_custom_menu';
}


if(isguestuser()){
	$bodyclasses[] = 'my_guest_user';
}
//***********************custom code********************************************

/*$is_enable_dminmenu=($PAGE->theme->settings->menu_administration < 1) ? 0 : 1;
$is_enable_navmenu=($PAGE->theme->settings->menu_navigation < 1) ? 0 : 1;
$is_enable_custommenu=($PAGE->theme->settings->menu_custom < 1) ? 0 : 1;*/
$hasdatetime=(!empty($PAGE->theme->settings->datetime));




if (!empty($PAGE->theme->settings->backtotop)) {
       $PAGE->requires->js('/theme/grandeur/yui/bttotop.js');
}
if (!empty($PAGE->theme->settings->tagline)) {
    $tagline = '<p>'.$PAGE->theme->settings->tagline.'</p>';
} else {
    $tagline = '<!-- There was no custom tagline set -->';
}
if (!empty($PAGE->theme->settings->logo)) {
    $logourl = $PAGE->theme->settings->logo;
}else{
	$logourl =$OUTPUT->pix_url('images/header-logo', 'theme');
}
$displaylogo = !isset($PAGE->theme->settings->displaylogo) || $PAGE->theme->settings->displaylogo;

//*************************custom code******************************************
echo $OUTPUT->doctype() ?>

<html <?php echo $OUTPUT->htmlattributes() ?>>
<head>
    <title><?php echo $PAGE->title ?></title>
    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
    <meta name="description" content="<?php p(strip_tags(format_text($SITE->summary, FORMAT_HTML))) ?>" />
    <?php echo $OUTPUT->standard_head_html() ?>
</head>
<body id="<?php p($PAGE->bodyid) ?>" class="<?php p($PAGE->bodyclasses.' '.join(' ', $bodyclasses)) ?>">
<?php echo $OUTPUT->standard_top_of_body_html() ?>

<div id="page">
 <div id="home-headercontainer">
     <div id="page-header" class="clearfix">
       <!-- <h1 class="headermain"><?php //echo $PAGE->heading ?></h1>-->
        <div id="header-logo">
        	<!-- <img src="<?php echo $OUTPUT->pix_url('images/header-logo', 'theme'); ?>" />	-->
        	<!-- header logo -->
       <?php if ($displaylogo) { ?>
       	<h1 class="headermain"><img src="<?php echo $logourl?>" alt="logo" /> <?php echo $tagline; ?></h1>
	
       <?php }else{?>
       	<h1 class="headermain"><?php echo $PAGE->heading ?></h1>
       <?php }?>
       <!-- header logo -->
       
<?php       if (isloggedin() &&  (!isguestuser())){
       	$userloggedin = "loggedinuser";
       }else{
       	$userloggedin = " ";
       }
       
       
       
       ?>
		<div id="userLoginForm" class="<?php echo $userloggedin ;?>">
		
		<div class="userpic">
		<?php
        if (!empty($PAGE->theme->settings->showuserpicture) && (!isguestuser())) {
        		if (isloggedin()){
        			echo ''.$OUTPUT->user_picture($USER, array('size'=>55)).'';
        		}		
        	}?>
        	</div>
		
		<div class="grid_6" id="top-profile">
        	  <?php   include_once('login_form.php'); ?>	  
		</div>
        	
		<div class="clearfix"></div>
		
		<?php
				
		?>
			
			<?php $langmenu = $OUTPUT->lang_menu(); ?>
		<?php
			
			/*this code is handled to position of user's picture and language menu when both are enabled
				this is the workaround
			*/
			
			if (!empty($PAGE->theme->settings->showuserpicture) && (!isguestuser())) {
        		if (isloggedin()){
        			//echo ''.$OUTPUT->user_picture($USER, array('size'=>55)).'';
        			$tlangmen  = $OUTPUT->lang_menu();
        			$langmenu  = '<div class="userpic_enable">';
        			$langmenu .= $tlangmen;
        			$langmenu .= '</div>';
        		}		
        	}
        	
        	echo $langmenu;
        	
        ?>	        	
				<div class="clearfix"></div>
	
		
			</div>

		</div>
    </div>
    
    			<?php 
			//-----------------custom menu code-------------------------------//
			if($hascustommenu){?>
				<div id="menucontainer">
					<div id="awesomebar" >
						<?php 
						
							//$topsettings = new grandeur_topsettings_renderer($this->page, null);
							//$siteadmin =  $topsettings->settings_tree($this->page->settingsnav);
							//$navigation = $topsettings->navigation_tree($this->page->navigation);
							//$home=$topsettings->home_link();
							
							$home = grandeur_home_link();
							
							//$login_out=$topsettings->login_logout();
							
							//------------------------------------------------------------------------------------------
							//added for menu render
							//solemn_position_menus($siteadmin, $navigation, $hascustommenu, $custommenu,$home,$login_out);
							//grandeur_position_menus($siteadmin, $navigation, $hascustommenu, $custommenu,$home);
							
							echo $home;
							//echo $siteadmin;
							//echo $navigation;
							?>
								<ul class="dropdown  dropdown-horizontal">
								<li>
								<div id="custommenu"><?php echo $custommenu; ?></div>
								</li>
								</ul>

							<?php
							
							if (!empty($PAGE->theme->settings->datetime)) {
								//echo $topsettings->display_date();
								echo grandeur_display_date();
							}
							//------------------------------------------------------------------------------------------
							

						?>
					</div>
				</div>
			<?php 
			}
			//-----------------custom menu code-------------------------------//
			?>
	
 </div>
 

<!-- END OF HEADER -->
<div id="page-content-wrapper" class="clearfix">	<!-- this div is added for back to top functionality -->
    <div id="page-content">
        <div id="region-main-box">
            <div id="region-post-box">

                <div id="region-main-wrap">
                    <div id="region-main">
                    
                        <div class="region-content">
                        
                                  <?php if($CFG->version <= 2011120500)
                             		echo core_renderer::MAIN_CONTENT_TOKEN;
                             	else
                             		echo $OUTPUT->main_content(); ?>
                            
                            
                        </div>
                        
                        
                    </div>
                </div>

                <?php if ($hassidepre) { ?>
                <div id="region-pre" class="block-region">
                    <div class="region-content">
                        <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
                    </div>
                </div>
                <?php } ?>

                <?php if ($hassidepost) { ?>
                <div id="region-post" class="block-region">
                    <div class="region-content">
                        <?php echo $OUTPUT->blocks_for_region('side-post') ?>
                    </div>
                </div>
                <?php } ?>

            </div>
        </div>
    </div>
</div><!-- end of  back to top div -->
<!-- START OF FOOTER -->
    <div id="page-footer">
     <p class="maharathemes"><a name="MoodleThemes" title="Moodle Themes" href="http://www.moodlethemes.com/">Moodle Themes</a></p>
        <p class="helplink">
        <?php echo page_doc_link(get_string('moodledocslink')) ?>
        </p>

        <?php
        echo $OUTPUT->login_info();
        //echo $OUTPUT->home_link();
        if (empty($PAGE->theme->settings->hidemoodlelogo)) {
        		echo $OUTPUT->home_link();
        }
        echo $OUTPUT->standard_footer_html();
        ?>
    </div>
</div>
<?php echo $OUTPUT->standard_end_of_body_html();
// -----code for back to top----------------------
if (!empty($PAGE->theme->settings->backtotop)) {
?>
<div id="back-to-top" style="display: none;"> 
    <a class="arrow" href="#" title="<?php echo get_string('backtotop', 'theme_grandeur')?>">▲</a> 
    <!-- <a class="text" href="#">Back to Top</a>  -->
</div>
<?php }?>
<!-- code for back to top -->

</body>
</html>