<?php
$hasheading = ($PAGE->heading);
$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
$hasfooter = (empty($PAGE->layout_options['nofooter']));
$hassidepre = (empty($PAGE->layout_options['noblocks']) && $PAGE->blocks->region_has_content('side-pre', $OUTPUT));
$hassidepost = (empty($PAGE->layout_options['noblocks']) && $PAGE->blocks->region_has_content('side-post', $OUTPUT));
$haslogininfo = (empty($PAGE->layout_options['nologininfo']));

$showsidepre = ($hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT));
$showsidepost = ($hassidepost && !$PAGE->blocks->region_completely_docked('side-post', $OUTPUT));

$custommenu = $OUTPUT->custom_menu();
$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));

$bodyclasses = array();
if ($showsidepre && !$showsidepost) {
    $bodyclasses[] = 'side-pre-only';
} else if ($showsidepost && !$showsidepre) {
    $bodyclasses[] = 'side-post-only';
} else if (!$showsidepost && !$showsidepre) {
    $bodyclasses[] = 'content-only';
}
if ($hascustommenu) {
    $bodyclasses[] = 'has_custom_menu';
}

if(isguestuser()){
	$bodyclasses[] = 'my_guest_user';

}


 //***********************custom code********************************************

if (!empty($PAGE->theme->settings->backtotop)) {
       $PAGE->requires->js('/theme/grandeur/yui/bttotop.js');
}
if (!empty($PAGE->theme->settings->tagline)) {
    $tagline = $PAGE->theme->settings->tagline;
} else {
    $tagline = '<!-- There was no custom tagline set -->';
}

//*************************custom code******************************************
echo $OUTPUT->doctype() ?>
<html <?php echo $OUTPUT->htmlattributes() ?>>
<head>
    <title><?php echo $PAGE->title ?></title>
    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
    <?php echo $OUTPUT->standard_head_html() ?>
</head>
<body id="<?php p($PAGE->bodyid) ?>" class="<?php p($PAGE->bodyclasses.' '.join(' ', $bodyclasses)) ?>">
<?php echo $OUTPUT->standard_top_of_body_html() ?>
<div id="page">
<div id="headercontainer">
<?php if ($hasheading || $hasnavbar) { ?>
    <div id="page-header">
        <?php if ($hasheading) { ?>
        <h1 class="headermain"><?php echo $PAGE->heading ?></h1>

        <div id="userLoginForm">
        <div class="userpic">
		<?php
        if (!empty($PAGE->theme->settings->showuserpicture) && (!isguestuser())) {
        		if (isloggedin()){
        			echo ''.$OUTPUT->user_picture($USER, array('size'=>55)).'';
        		}		
        	}?>
        	</div>

		<div class="grid_6" id="top-profile">
       		<?php   include_once('login_form.php'); ?>
		</div>
		
		<?php if (isloggedin() &&  (!isguestuser())){
       	$userloggedin = "loggedinuser";
       }else{
       	$userloggedin = " ";
       }
       ?>        	
		<div class="clearfix"></div>
		
		</div>
        <?php } ?>
        </div>
<?php } ?>

		    			<?php 
			//-----------------custom menu code-------------------------------//
			if($hascustommenu){?>
				<div id="menucontainer">
					<div id="awesomebar" >
						<?php 
						
						/*	$topsettings = new grandeur_topsettings_renderer($this->page, null);
							$siteadmin =  $topsettings->settings_tree($this->page->settingsnav);
							$navigation = $topsettings->navigation_tree($this->page->navigation);
							$home=$topsettings->home_link();
							//$login_out=$topsettings->login_logout();
							*/
							//------------------------------------------------------------------------------------------
							//added for menu render
							//solemn_position_menus($siteadmin, $navigation, $hascustommenu, $custommenu,$home,$login_out);
							//grandeur_position_menus($siteadmin, $navigation, $hascustommenu, $custommenu,$home);
							
							echo grandeur_home_link();
							
							?>
								<ul class="dropdown  dropdown-horizontal">
									<li>
									<div id="custommenu"><?php echo $custommenu; ?></div>
									</li>
								</ul>
					
							<?php
							
							
							if (!empty($PAGE->theme->settings->datetime)) {
								echo grandeur_display_date();
							}
							//------------------------------------------------------------------------------------------
							

						?>
					</div>
				</div>
			<?php 
			}
			//-----------------custom menu code-------------------------------//
			?>
        
        
        <?php if ($hasnavbar) { ?>
            <div class="navbar clearfix">
                <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
                <div class="navbutton"> <?php echo $PAGE->button; ?></div>
            </div>
        <?php } ?>
</div>

<!-- END OF HEADER -->
<div id="page-content-wrapper" class="clearfix">
    <div id="page-content">
        <div id="region-main-box">
            <div id="region-post-box">

                <div id="region-main-wrap">
                    <div id="region-main">
                    
                        <div class="region-content">
                                  <?php if($CFG->version <= 2011120500)
                             		echo core_renderer::MAIN_CONTENT_TOKEN;
                             	else
                             		echo $OUTPUT->main_content(); ?>
                            
                        </div>
                        
                    </div>
                </div>

                <?php if ($hassidepre) { ?>
                <div id="region-pre" class="block-region">
                    <div class="region-content">
                        <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
                    </div>
                </div>
                <?php } ?>

                <?php if ($hassidepost) { ?>
                <div id="region-post" class="block-region">
                    <div class="region-content">
                        <?php echo $OUTPUT->blocks_for_region('side-post') ?>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
</div>
<!-- START OF FOOTER -->
    <?php if ($hasfooter) { ?>
    <div id="page-footer" class="clearfix">
     <p class="maharathemes"><a name="MoodleThemes" title="Moodle Themes" href="http://www.moodlethemes.com/">Moodle Themes</a></p>
	    <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
        <?php
        echo $OUTPUT->login_info();
        echo $OUTPUT->home_link();
        echo $OUTPUT->standard_footer_html();
        ?>
    </div>
    <?php } ?>
</div>
<?php echo $OUTPUT->standard_end_of_body_html();

// -----code for back to top----------------------
if (!empty($PAGE->theme->settings->backtotop)) {
?>
<div id="back-to-top" style="display: none;"> 
    <a class="arrow" href="#" title="<?php echo get_string('backtotop', 'theme_grandeur')?>">▲</a> 
    <!-- <a class="text" href="#">Back to Top</a>  -->
</div>
<?php }?>
<!-- code for back to top -->

</body>
</html>